- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.LegacyPlaybookGetWorkflowsInvolvingActionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#body.aspect_1)
- [ApiIntegrationPlaybookByEnvironment](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybookByEnvironment)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybookByEnvironment.SCHEMA_REPRESENTATION)
- [ApiIntegrationPlaybook](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybook)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybook.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetWorkflowsInvolvingAction

Returns all playbooks that include one or more of the specified actions. Use this method to understand the usage of individual automation steps across the playbook repository.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetWorkflowsInvolvingAction`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the workflows involving action for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "actionId": string } ``` |

| Fields ||
|---|---|
| `actionId` | `string` Required. The action id. |

### Response body

LegacyPlaybookGetWorkflowsInvolvingActionResponse is a response for getting workflows involving action.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybookByEnvironment`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybookByEnvironment`)`` Optional. The payload is a list of workflows by environment. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ApiIntegrationPlaybookByEnvironment

ApiIntegrationPlaybookByEnvironment is the object for workflows involving action.

| JSON representation |
|---|
| ``` { "environment": string, "playbooks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybook`) } ] } ``` |

| Fields ||
|---|---|
| `environment` | `string` Required. The environment. |
| `playbooks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowsInvolvingAction#ApiIntegrationPlaybook`)`` Optional. The list of playbooks. |

## ApiIntegrationPlaybook

ApiIntegrationPlaybook represents a playbook.

| JSON representation |
|---|
| ``` { "name": string, "isEnabled": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The name of the playbook. |
| `isEnabled` | `boolean` Optional. Indicates if the playbook is enabled. |